+ Responder ao Tópico



  1. #1
    Estou seguindo os passos do nosso amigo gocorreia para instalar o php e o mysql que foi o seguinte :

    Olá,
    como você usa debian é mais fácil instalar o mysql atraves do apt-get:
    #apt-get install mysql-server
    ou se quiser o 4.1 (eu prefiro este)
    #apt-get install mysql-server-4.1
    é recomendado que você instale o apache, que é um servidor web, antes de instalar o php, existem vários artigos que abordam isso é só dá uma olhada. mas geralmente é só fazer o download no site sugerido acima (www.apache.org) descopactar e:
    #./configure
    #make
    #make install
    depois faça o download do php (www.php.net) e:
    # ./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql
    o primeiro with é por causa do apache, o segundo por causa do mysql. Faça antes um:
    #./configure --help
    para ver as opções que deseja habilitar, recomendo dar suporte a gd e as fontes truetype. e depois do ./configure faça:
    #make
    #make install

    deve-se fazer algumas mudanças no arquivo de configuração do apache (httpd.conf) para ele "trabalhar" junto com o php, mas não me lembro examente as mudanças, dê uma pesquisada na net...

    ate aqui tudo bem mas estou com problemas agora para rodar a linha do

    # ./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql

    o que esta ocorrendo é o seguinte

    debian-br-cdd:/home/andre# make
    make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.
    debian-br-cdd:/home/andre# make

    estou no final da instalação alguem pode me ajudar:

  2. #2
    maverick_cba
    Amigo o comando make deve ser rodado no local onde você descompactou o php. Agora quer uma dica?

    Não é necessário ter toda essa trabalheira que você está tendo. O debian já vem com pacotes pesonalizados de cada software desses, os chamados modulos extras.

    Qual versão do debian você está usando? Se for a 3.1 experimenta usar o aptitude. Ele oferece uma interface para o apt-get que torna muito fácil instalar e remover pacotes.

    Aqui instalei o apache 2, php 4.3, mysql 4.3 tudo interagindo entre si, para isso bastou adicionar os módulos do php 4 para o apache 2 e o modulo do php que dá suporte ao mysql. Nem precisei compilar nada. Foi fácil!

    Qualquer dúvida posta aqui, que eu te ajudo.

    Abraços,






Tópicos Similares

  1. problema para instalar Nagios junto com mk-auth
    Por robertopc95 no fórum Sistemas Operacionais
    Respostas: 0
    Último Post: 05-10-2014, 10:35
  2. Problemas para instalar o Slackware 10.2 com HD sata!
    Por Slack_RJ no fórum Sistemas Operacionais
    Respostas: 7
    Último Post: 08-06-2006, 18:25
  3. Respostas: 0
    Último Post: 08-06-2006, 10:11
  4. Problemas para instalar o PPTP(.tar.gz)! Não compila nada!
    Por LinuxAthos no fórum Servidores de Rede
    Respostas: 2
    Último Post: 04-08-2003, 08:09
  5. Problema para instalar o openssh
    Por no fórum Servidores de Rede
    Respostas: 3
    Último Post: 22-11-2002, 14:06

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L